Package com.dropbox.core.v2.filerequests
Class UpdateBuilder
java.lang.Object
com.dropbox.core.v2.filerequests.UpdateBuilder
The request builder returned by
DbxUserFileRequestsRequests.updateBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withDeadline(UpdateFileRequestDeadline deadline) Set value for optional field.withDescription(String description) Set value for optional field.withDestination(String destination) Set value for optional field.Set value for optional field.Set value for optional field.
-
Method Details
-
withTitle
Set value for optional field.- Parameters:
title- The new title of the file request. Must not be empty. Must have length of at least 1.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withDestination
Set value for optional field.- Parameters:
destination- The new path of the folder in the Dropbox where uploaded files will be sent. For apps with the app folder permission, this will be relative to the app folder. Must match pattern "/(.|[\\r\\n])*".- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withDeadline
Set value for optional field.If left unset or set to
null, defaults toUpdateFileRequestDeadline.NO_UPDATE.- Parameters:
deadline- The new deadline for the file request. Deadlines can only be set by Professional and Business accounts. Must not benull. Defaults toUpdateFileRequestDeadline.NO_UPDATEwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withOpen
Set value for optional field.- Parameters:
open- Whether to set this file request as open or closed.- Returns:
- this builder
-
withDescription
Set value for optional field.- Parameters:
description- The description of the file request.- Returns:
- this builder
-
start
Issues the request.
-